package com.yonge.cooleshow.biz.dal.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hgw
 * Created by 2022年3月24日
 */
public class RoomUserInfoCache implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "首次进入时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstJoinTime;

    @ApiModelProperty(value = "动态进入房间时间  多次进入房间每次进入更新")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dynamicJoinTime;

    @ApiModelProperty(value = "最后一次退出时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastOutTime;

    @ApiModelProperty(value = "0:在房间 1:不在房间")
    private Integer state;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getFirstJoinTime() {
        return firstJoinTime;
    }

    public void setFirstJoinTime(Date firstJoinTime) {
        this.firstJoinTime = firstJoinTime;
    }

    public Date getDynamicJoinTime() {
        return dynamicJoinTime;
    }

    public void setDynamicJoinTime(Date dynamicJoinTime) {
        this.dynamicJoinTime = dynamicJoinTime;
    }

    public Date getLastOutTime() {
        return lastOutTime;
    }

    public void setLastOutTime(Date lastOutTime) {
        this.lastOutTime = lastOutTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
}